
#define LinLevel_LevelObj_ENUM \
        { 44,  [ft],        [feet_help] },\
        { 45,  [meter],     [meters_help] },\
        { 47,  [in],        [inches_help] },\
        { 48,  [cm],        [centimeters_help] },\
        { 49,  [mm],        [millimeters_help] }

#define LinLevel_FlowObj_ENUM \
        { 15,  [CuFt_min],          [cubic_feet_per_minute_help] },\
        { 16,  [gal_min],           [gallons_per_minute_help] },\
        { 17,  [l_min],             [liters_per_minute_help] },\
        { 18,  [ImpGal_min],        [imperial_gallons_per_minute_help] },\
        { 19,  [CuMtr_hr],          [cubic_meter_per_hour_help] },\
        { 22,  [gal_s],             [gallons_per_second_help] },\
        { 24,  [l_s],               [liters_per_second_help] },\
        { 26,  [CuFt_s],            [cubic_feet_per_second_help] },\
        { 27,  [CuFt_day],          [cubic_feet_per_day_help] },\
        { 28,  [CuMtr_s],           [cubic_meters_per_second_help] },\
        { 29,  [CuMtr_day],         [cubic_meters_per_day_help] },\
        { 30,  [ImpGal_hr],         [imperial_gallons_per_hour_help] },\
        { 31,  [ImpGal_day],        [imperial_gallons_per_day_help] },\
        { 130, [CuFt_hr],           [cubic_feet_per_hour_help] },\
        { 131, [CuMtr_min],         [cubic_meters_per_minute_help] },\
        { 132, [bbl_s],             [barrels_per_second_help] },\
        { 133, [bbl_min],           [barrels_per_minute_help] },\
        { 134, [bbl_hr],            [barrels_per_hour_help] },\
        { 135, [bbl_day],           [barrels_per_day_help] },\
        { 136, [gal_hr],            [gallons_per_hour_help] },\
        { 137, [ImpGal_s],          [imperial_gallons_per_second_help] },\
        { 138, [l_hr],              [liters_per_hour_help] },\
        { 235, [gallons_per_day],   [gallons_per_day_help] }

#define LinLevel_VolumeObj_ENUM \
        { 0x28,   [gal],                  [gallons_help] },\
        { 0x29,   [liter],                [liters_help] },\
        { 0x2A,   [ImpGal],               [imperial_gallons_help] },\
        { 0x2B,   [CuMtr],                [cubic_meters_help] },\
        { 0x2E,   [bbl],                  [barrels_help] },\
        { 0x6E,   [bush],                 [bushels_help] },\
        { 0x6F,   [CuYd],                 [cubic_yards_help] },\
        { 0x70,   [CuFt],                 [cubic_feet_help] },\
        { 0x71,   [CuIn],                 [cubic_inches_help] },\
        { 0x7C,   [bbl_liq],              [bbl_liq_help] },\
		{ 0xEC,   [hecto_liter],		  [hectoliters_help] }

#define T_Obj_unit_ENUM \
        { 32,  [degC],  [degrees_celsius_help] },\
        { 33,  [degF],  [degrees_fahrenheit_help] }
  	
#define swWriteProtection_ENUM \
	{ 0,    "OFF" }, \
	{ 1,    "ON" }

#define levelDeviceType_ENUM \
	{ 16,    "Single Level without Amplitude |en zz|Level"  }, \
	{ 17,    "Single Level with Amplitude |en zz|Level + Amp" }, \
	{ 18,    "Dual Level without Temperature |en zz|2 Levels" }, \
	{ 19,    "Dual Level with Temperature |en zz|2 Levels + Temp" }

#define resetsoftwarewriteprotection_ENUM \
	{ 0,    "OFF" }, \
	{ 1,    "ON"    }

#define mountOrientation_ENUM \
	{ 1,    "Bottom" }, \
	{ 2,    "Top"    }
     
#define Alarm_Selection_ENUM \
	{ 0,    "High"  }, \
	{ 1,    "Low"   }

#define Alarm_Selection_Source_ENUM \
	{ 0,    "Software"      }, \
    { 1,    "Hardware-Low"  }, \
	{ 2,    "Hardware-High" }

#define readOnlySwitchStatus_ENUM_old \
	{ 0,    "Inactive"   }, \
	{ 1,    "Active"     }

#define readOnlySwitchStatus_ENUM \
	{ 0,    "OFF"   }, \
	{ 1,    "ON"     }

#define lin_clasification_ENUM \
    { 68,   "Volume"      }, \
	{ 69,   "Level"      }

#define lin_clasificationdual_ENUM \
    { 68,   "Volume"      }, \
	{ 69,   "Level"      }

#define LIN_Input_Mode_ENUM \
    { 0,   "Automatic" }, \
    { 1,   "Manual"    }

#define LIN_Table_Enabled_State_ENUM \
	{ 0,    "Disabled"   }, \
	{ 1,    "Enabled"    }

#define diagSimulationStatus_ENUM \
	{ 0,    "Disabled"   }, \
	{ 1,    "Enabled"    }

#define T_Alarm_Enable_ENUM \
	{ 0,    "Disabled"   }, \
	{ 1,    "Enabled"    }

#define Ullage_Alarm_Enable_ENUM \
	{ 0,    "Disabled"   }, \
	{ 1,    "Enabled"    }

#define Interface_Alarm_Enable_ENUM \
	{ 0,    "Disabled"   }, \
	{ 1,    "Enabled"    }

#define LinInterface_Alarm_Enable_ENUM \
	{ 0,    "Disabled"   }, \
	{ 1,    "Enabled"    }

#define LIN_Table_Action_ENUM \
	{ 0,    "Clear Table"   }, \
	{ 1,    "Reload Table"  }, \
	{ 2,    "Backup Table"  }

#define PositionWithInterface_ENUM \
	{ 0,    "Sensor Reference Point"    }, \
	{ 1,    "Level"                     }, \
	{ 2,    "Interface"                 }, \
	{ 3,    "User Distance"             }, \
	{ 4,    "End of Probe"              }

#define Lin_InputUnit_Obj_ENUM \
        { 44,  [ft],        [feet_help] },\
        { 45,  [meter],     [meters_help] },\
        { 47,  [in],        [inches_help] },\
        { 48,  [cm],        [centimeters_help] },\
        { 49,  [mm],        [millimeters_help] }

#define PlotDistance_Obj_unit_ENUM \
        { 44,  [ft],        [feet_help] },\
        { 45,  [meter],     [meters_help] },\
        { 47,  [in],        [inches_help] },\
        { 48,  [cm],        [centimeters_help] },\
        { 49,  [mm],        [millimeters_help] }


#define localOperationEnable_ENUM \
	{ 0,    "Disabled" }, \
	{ 1,    "Enabled"  }

#define autoscrollEnable_ENUM \
	{ 0,    "Disabled" }, \
	{ 1,    "Enabled"  }

#define DateFormat_ENUM \
	{ 0,    "DD-MM-YYYY" }, \
    { 1,    "MM-DD-YYYY" }, \
	{ 2,    "YYYY-MM-DD"  }

#define Sensor_Tech_Code_ENUM \
    { 5,    "Laser"    }

#define language_ENUM \
	{ 0,    "English"    }, \
	{ 1,    "Deutsch"     }, \
	{ 2,    "Fransais"     }
	
// Feedback from Demo-I ,24 March-2016,Only above three languages supported
/*	{ 3,    "Spanish"    }, \
	{ 4,    "Italian"    }, \
	{ 10,   "Russian"    }, \
    { 11,   "Chinese"    }, \
    { 14,   "Portuguese" }
*/

#define HorizontalScale_ENUM \
    { 0,    "3 in/div"    }, \
	{ 1,    "6 in/div"    }, \
	{ 2,    "12 in/div"    }, \
    { 3,    "24 in/div"    }, \
    { 4,    "5 cm/div"    }, \
    { 5,    "10 cm/div"    }, \
	{ 6,    "20 cm/div"    }, \
	{ 7,    "40 cm/div"    }, \
    { 8,    "0.25 ft/div"    }, \
    { 9,    "0.5 ft/div"    }, \
	{ 10,    "1 ft/div"    }, \
	{ 11,    "2 ft/div"    }, \
    { 12,    "0.05 m/div"    }, \
    { 13,    "0.1 m/div"    }, \
	{ 14,    "0.2 m/div"    }, \
	{ 15,    "0.4 m/div"    }, \
    { 16,    "50 mm/div"    }, \
    { 17,    "100 mm/div"    }, \
	{ 18,    "200 mm/div"    }, \
	{ 19,    "400 mm/div"    }
 
#define HorizontalScaleft_ENUM \
    { 8,    "0.25 ft/div"    }, \
    { 9,    "0.5 ft/div"    }, \
	{ 10,    "1 ft/div"    }, \
	{ 11,    "2 ft/div"    }

#define HorizontalScalem_ENUM \
    { 12,    "0.05 m/div"    }, \
    { 13,    "0.1 m/div"    }, \
	{ 14,    "0.2 m/div"    }, \
	{ 15,    "0.4 m/div"    }

#define HorizontalScalein_ENUM \
    { 0,    "3 in/div"    }, \
	{ 1,    "6 in/div"    }, \
	{ 2,    "12 in/div"    }, \
    { 3,    "24 in/div"    }

#define HorizontalScalecm_ENUM \
    { 4,    "5 cm/div"    }, \
    { 5,    "10 cm/div"    }, \
	{ 6,    "20 cm/div"    }, \
	{ 7,    "40 cm/div"    }

#define HorizontalScalemm_ENUM \
    { 16,    "50 mm/div"    }, \
    { 17,    "100 mm/div"    }, \
	{ 18,    "200 mm/div"    }, \
	{ 19,    "400 mm/div"    }

#define displayMode_1_ENUM_old \
	{ 0,    "Operator page switched off"    }, \
	{ 1,    "Graph View"    }, \
	{ 2,    "1 row of 4 characters"    }, \
	{ 3,    "1 row of 6 characters (Rainbow Style)"    }, \
	{ 4,    "1 row of 6 characters + Bargraph (Rainbow Style)"    }, \
	{ 5,    "1 row of 6 characters (Standard Style)"    }, \
	{ 6,    "1 row of 6 characters + Bargraph (Standard Style)"    }, \
	{ 7,    "1 row of 9 characters"    }, \
	{ 8,    "1 row of 9 characters + Bargraph"    }, \
    { 9,    "2 rows of 9 characters"    }, \
	{ 10,    "2 rows of 9 characters + Bargraph"    }, \
	{ 11,    "3 rows of 9 characters"    }, \
	{ 12,    "4 rows of 9 characters"    }

#define displayMode_1_ENUM \
    { 1,    "Graph"    }, \
	{ 3,    "1 row with 6 characters(variation A)"    }, \
	{ 5,    "1 row with 6 characters(variation B)"    }, \
	{ 6,    "1 row with 6 characters + Bargraph"    }, \
	{ 7,    "1 row with 9 characters"    }, \
	{ 8,    "1 row with 9 characters + Bargraph"    }, \
    { 9,    "2 rows with 9 characters"    }, \
	{ 10,    "2 rows with 9 characters + Bargraph"    }, \
	{ 11,    "3 rows with 9 characters"    }

#define displayMode_2_ENUM \
    { 0,    "Off"    }, \
    { 1,    "Graph"    }, \
	{ 3,    "1 row with 6 characters(variation A)"    }, \
	{ 5,    "1 row with 6 characters(variation B)"    }, \
	{ 6,    "1 row with 6 characters + Bargraph"    }, \
	{ 7,    "1 row with 9 characters"    }, \
	{ 8,    "1 row with 9 characters + Bargraph"    }, \
    { 9,    "2 rows with 9 characters"    }, \
	{ 10,    "2 rows with 9 characters + Bargraph"    }, \
	{ 11,    "3 rows with 9 characters"    }

#define displayMode_3_ENUM \
    { 0,    "Off"    }, \
    { 1,    "Graph"    }, \
	{ 3,    "1 row with 6 characters(variation A)"    }, \
	{ 5,    "1 row with 6 characters(variation B)"    }, \
	{ 6,    "1 row with 6 characters + Bargraph"    }, \
	{ 7,    "1 row with 9 characters"    }, \
	{ 8,    "1 row with 9 characters + Bargraph"    }, \
    { 9,    "2 rows with 9 characters"    }, \
	{ 10,    "2 rows with 9 characters + Bargraph"    }, \
	{ 11,    "3 rows with 9 characters"    }

#define displayMode_4_ENUM \
    { 0,    "Off"    }, \
    { 1,    "Graph"    }, \
	{ 3,    "1 row with 6 characters(variation A)"    }, \
	{ 5,    "1 row with 6 characters(variation B)"    }, \
	{ 6,    "1 row with 6 characters + Bargraph"    }, \
	{ 7,    "1 row with 9 characters"    }, \
	{ 8,    "1 row with 9 characters + Bargraph"    }, \
    { 9,    "2 rows with 9 characters"    }, \
	{ 10,    "2 rows with 9 characters + Bargraph"    }, \
	{ 11,    "3 rows with 9 characters"    }

/*#define displayMode_1_ENUM \
    { 1,    "Graph"    }, \
	{ 3,    "1 x 6 (Variation A)"    }, \
	{ 5,    "1 x 6 (Variation B)"    }, \
	{ 6,    "1 x 6 + Bargraph (Variation B)"    }, \
	{ 7,    "1 x 9"    }, \
	{ 8,    "1 x 9 + Bargraph"    }, \
    { 9,    "2 x 9"    }, \
	{ 10,    "2 x 9 + Bargraph"    }, \
	{ 11,    "3 x 9"    }

#define displayMode_2_ENUM \
    { 0,    "Off"    }, \
    { 1,    "Graph"    }, \
	{ 3,    "1 x 6 (Variation A)"    }, \
	{ 5,    "1 x 6 (Variation B)"    }, \
	{ 6,    "1 x 6 + Bargraph (Variation B)"    }, \
	{ 7,    "1 x 9"    }, \
	{ 8,    "1 x 9 + Bargraph"    }, \
    { 9,    "2 x 9"    }, \
	{ 10,    "2 x 9 + Bargraph"    }, \
	{ 11,    "3 x 9"    }

#define displayMode_3_ENUM \
    { 0,    "Off"    }, \
    { 1,    "Graph"    }, \
	{ 3,    "1 x 6 (Variation A)"    }, \
	{ 5,    "1 x 6 (Variation B)"    }, \
	{ 6,    "1 x 6 + Bargraph (Variation B)"    }, \
	{ 7,    "1 x 9"    }, \
	{ 8,    "1 x 9 + Bargraph"    }, \
    { 9,    "2 x 9"    }, \
	{ 10,    "2 x 9 + Bargraph"    }, \
	{ 11,    "3 x 9"    }

#define displayMode_4_ENUM \
    { 0,    "Off"    }, \
    { 1,    "Graph"    }, \
	{ 3,    "1 x 6 (Variation A)"    }, \
	{ 5,    "1 x 6 (Variation B)"    }, \
	{ 6,    "1 x 6 + Bargraph (Variation B)"    }, \
	{ 7,    "1 x 9"    }, \
	{ 8,    "1 x 9 + Bargraph"    }, \
    { 9,    "2 x 9"    }, \
	{ 10,    "2 x 9 + Bargraph"    }, \
	{ 11,    "3 x 9"    }
*/


#define mainOperatorView_1_1_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }, \
	{ 12,    "Volume"    }
   
#define mainOperatorView_1_1_devicetype0_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"  }
	

#define mainOperatorView_1_1_devicetype0_LINclassification66_ENUM \
    { 10,   "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,   "Flow"    },\
	{ 3,    "Amplitude"    },\
	{ 19,    "Electronic Temperature (deg C)"    }

#define mainOperatorView_1_1_devicetype0_LINclassification68_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }, \
	{ 12,    "Volume"    },\
	{ 3,    "Amplitude"},\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_1_devicetype1_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    },\
	{ 3,    "Amplitude"},\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_1_devicetype1_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Flow"    }

#define mainOperatorView_1_1_devicetype1_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 3,    "Amplitude" }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    },\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_1_devicetype2_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_1_devicetype2_LINclassification66_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_1_devicetype2_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_1_devicetype3_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_1_devicetype3_LINclassification66_ENUM \
    { 10,   "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Flow"    }

#define mainOperatorView_1_1_devicetype3_LINclassification68_ENUM \
   { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_2_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_2_devicetype0_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_2_devicetype0_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_2_devicetype0_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_2_devicetype1_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 3,    "Amplitude"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    },\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_2_devicetype1_LINclassification66_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_2_devicetype1_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 3,    "Amplitude" }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    },\
	{ 12,    "Volume"    },\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_2_devicetype2_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_2_devicetype2_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    },\
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_2_devicetype2_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_2_devicetype3_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }
	
	
#define mainOperatorView_1_2_devicetype3_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }
	

#define mainOperatorView_1_2_devicetype3_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_3_ENUMOLD \
	{ 0,    "Level"    }, \
	{ 1,    "Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "LIN Level-Level"    }, \
	{ 11,    "LIN Level-Volume Flow"    }, \
	{ 12,    "LIN Level-Volume"    }, \
    { 13,    "LIN Interface-Level"    }, \
	{ 14,    "LIN Interface-Volume Flow"    }, \
	{ 15,    "LIN Interface-Volume"    }

#define mainOperatorView_1_3_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }, \
	{ 12,    "Volume"    }, \
    { 13,    "Interface"    }

#define mainOperatorView_1_3_devicetype0_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_3_devicetype0_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_3_devicetype0_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_3_devicetype1_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    },\
	{ 3,    "Amplitude"},\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_3_devicetype1_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_3_devicetype1_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    },\
	{ 3,    "Amplitude"},\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_3_devicetype2_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_3_devicetype2_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }, 

#define mainOperatorView_1_3_devicetype2_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    },

#define mainOperatorView_1_3_devicetype3_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_3_devicetype3_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_3_devicetype3_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_bargraph_ENUMOLD \
	{ 0,    "Level"    }, \
	{ 1,    "Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "LIN Level-Level"    }, \
	{ 11,    "LIN Level-Volume Flow"    }, \
	{ 12,    "LIN Level-Volume"    }, \
    { 13,    "LIN Interface-Level"    }, \
	{ 14,    "LIN Interface-Volume Flow"    }, \
	{ 15,    "LIN Interface-Volume"    }

#define mainOperatorView_1_bargraph_ENUM \
    { 0,    "Raw Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_bargraph_devicetype0_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    },\
	{ 3,    "Amplitude"},\
	{ 19,    "Electronic Temperature (deg C)" }
	
#define 	PAGE_1_DEFAULT_LINE_1 \
	{ 10,    "Level"    }

#define mainOperatorView_1_bargraph_devicetype0_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_bargraph_devicetype0_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_bargraph_devicetype1_LINclassification69_ENUM \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    },\
	{ 3,    "Amplitude"},\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_bargraph_devicetype1_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_bargraph_devicetype1_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume" },\
	{ 3,    "Amplitude"},\
	{ 19,    "Electronic Temperature (deg C)" }

#define mainOperatorView_1_bargraph_devicetype2_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_bargraph_devicetype2_LINclassification66_ENUM \
   { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_bargraph_devicetype2_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define mainOperatorView_1_bargraph_devicetype3_LINclassification69_ENUM \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 10,    "Level"    }

#define mainOperatorView_1_bargraph_devicetype3_LINclassification66_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 11,    "Linearized Level-Volume Flow"    }

#define mainOperatorView_1_bargraph_devicetype3_LINclassification68_ENUM \
    { 10,    "Level"    }, \
	{ 1,    "Raw Interface"    }, \
	{ 2,    "Ullage"    }, \
	{ 6,    "Current Output %"    }, \
	{ 7,    "Current Output mA"    }, \
	{ 12,    "Volume"    }

#define reverseSignalPolarity_ENUM \
	{ 0,    "Standard"   }, \
	{ 1,    "Flipped"  }

#define charac_table_action_ENUM \
	{ 0,   "LIN Table Clear"    }, \
	{ 1,   "LIN Table Reload"    }, \
    { 2,   "LIN Table Backup"    }

#define CalibrationIndex_ENUM \
	{ 0,    "Index A"    }, \
	{ 1,    "Index B"    }

#define Addl_Sensor_Available_ENUM \
        { 0, "Not Available" }, \
        { 1, "Available"  }

#define HartAccessLevel_ENUM \
    { 0,   "Read Only"   }, \
    { 1,   "Standard"   }, \
    { 2,   "Advanced"   }, \
    { 3,   "Service"    }

#define Ullage_Available_ENUM \
        { 1, "Available"  }

#define Sensor_Compensation_Available_ENUM \
        { 0, "Not Available" }

#define Level_Alarm_Enable_ENUM \
        { 0, "Disabled" }, \
        { 1, "Enabled"  }

#define LinLevel_Alarm_Enable_ENUM \
        { 0, "Disabled" }, \
        { 1, "Enabled"  }

#define Dummy_Ullage_Var_Code_ENUM \
        { 4, "Ullage" }

#define Dummy_Addl_Sensor_Var_Code_ENUM \
        { 9, "Additional Sensor Temperature" }, \
        { 250, "Additional Sensor Not Used"  }

#define Dev_VarCode_MediaLevel_ENUM \
        { 0, "Level" }

#define Dev_VarCode_Ullage_ENUM \
        { 2, "Ullage" }

#define Dev_VarCode_Addl_Sensor_ENUM \
        { 3, "Amplitude"  }

#define Classification_Addl_Sensor_ENUM \
        {  3, "Amplitude"  }

#define Addl_Sensor_Obj_unit_ENUM \
        { 57,  "Percent"}

#define SensorUnitType_ENUM \
        { 69, "Level"  }

#define LIN_Point_Status_ENUM \
        { 0, "Disabled" }, \
        { 1, "Enabled"  }

#define LevelSim_Enable_ENUM \
        { 0, "OFF" }, \
        { 1, "ON"  }

#define LinLevel_FlowSim_Enable_ENUM \
        { 0, "OFF" }, \
        { 1, "ON"  }

#define LinLevel_VolumeSim_Enable_ENUM \
        { 0, "OFF" }, \
        { 1, "ON"  }

#define UllageSim_Enable_ENUM \
        { 0, "OFF" }, \
        { 1, "ON"  }

#define InterfaceSim_Enable_ENUM \
        { 0, "OFF" }, \
        { 1, "ON"  }

#define LinInterface_VolumeSim_Enable_ENUM \
        { 0, "OFF" }, \
        { 1, "ON"  }

#define TSim_Enable_ENUM \
        { 0, "OFF" }, \
        { 1, "ON"  }

#define LevelAlarmLimitSelectionCode_ENUM \
        { 0, "Low Low" }, \
        { 1, "Low"  }, \
        { 2, "High"    }, \
        { 3, "High High" }

#define LevelAlarmLimitSelectionCodelowlow_ENUM \
        { 0, "Low Low" }

#define LevelAlarmLimitSelectionCodelow_ENUM \
        { 1, "Low" }

#define LevelAlarmLimitSelectionCodehigh_ENUM \
        { 2, "High" }

#define LevelAlarmLimitSelectionCodehighhigh_ENUM \
        { 3, "High High" }

#define LinLevelAlarmLimitSelectionCode_ENUM \
        { 0, "Low Low" }, \
        { 1, "Low"  }, \
        { 2, "High"    }, \
        { 3, "High High" }

#define LinLevelAlarmLimitSelectionCodelowlow_ENUM \
        { 0, "Low Low" }

#define LinLevelAlarmLimitSelectionCodelow_ENUM \
        { 1, "Low" }

#define LinLevelAlarmLimitSelectionCodehigh_ENUM \
        { 2, "High" }

#define LinLevelAlarmLimitSelectionCodehighhigh_ENUM \
        { 3, "High High" }

#define UllageAlarmLimitSelectionCode_ENUM \
        { 0, "Low Low" }, \
        { 1, "Low"  }, \
        { 2, "High"    }, \
        { 3, "High High" }

#define UllageAlarmLimitSelectionCodelowlow_ENUM \
        { 0, "Low Low" }

#define UllageAlarmLimitSelectionCodelow_ENUM \
        { 1, "Low" }

#define UllageAlarmLimitSelectionCodehigh_ENUM \
        { 2, "High" }

#define UllageAlarmLimitSelectionCodehighhigh_ENUM \
        { 3, "High High" }

#define InterfaceAlarmLimitSelectionCode_ENUM \
        { 0, "Low Low" }, \
        { 1, "Low"  }, \
        { 2, "High"    }, \
        { 3, "High High" }

#define InterfaceAlarmLimitSelectionCodelowlow_ENUM \
        { 0, "Low Low" }

#define InterfaceAlarmLimitSelectionCodelow_ENUM \
        { 1, "Low" }

#define InterfaceAlarmLimitSelectionCodehigh_ENUM \
        { 2, "High" }

#define InterfaceAlarmLimitSelectionCodehighhigh_ENUM \
        { 3, "High High" }

#define LinInterfaceAlarmLimitSelectionCode_ENUM \
        { 0, "Low Low" }, \
        { 1, "Low"  }, \
        { 2, "High"    }, \
        { 3, "High High" }

#define LinInterfaceAlarmLimitSelectionCodelowlow_ENUM \
        { 0, "Low Low" }

#define LinInterfaceAlarmLimitSelectionCodelow_ENUM \
        { 1, "Low" }

#define LinInterfaceAlarmLimitSelectionCodehigh_ENUM \
        { 2, "High" }

#define LinInterfaceAlarmLimitSelectionCodehighhigh_ENUM \
        { 3, "High High" }

#define Blocking_Distances_Available_ENUM \
        { 0, "No Blocking Distance" }, \
        { 1, "Only Blocking Distance High"  }, \
        { 2, "Only Blocking Distance Low"    }, \
        { 3, "Both Blocking Distances" }, \
        { 252, "Unknown"  }, \
        { 253, "Special"  }    

#define  CalibrationFunctionCodeold_ENUM \
        { 0, "Get" }, \
        { 1, "Add" }, \
        { 2, "Delete" }, \
        { 3, "Change"   }

#define  CalibrationFunctionCode_ENUM \
        { 3, "Change"   }

#define  CalibrationPointN_ENUM \
        { 0, "Index 0" }, \
        { 1, "Index 1"  }
		
#define  Measurementmode_ENUM \
        { 0, "Standard" }, \
        { 1, "Clear Liquid"  }, \
		{ 2, "Positioning" },\
		{ 3, "Dust and Vapor" }				// Feedback from Demo-I ,24 March-2016,to add "Dust" in Measurement mode options

#define diagnosisConditionDetailsCodes_enum \
	{ 0, "Simulated data" }, \
	{ 1, "Simulated alarm" }, \
	{ 2, "Electronics Non-volatile memory failure" }, \
	{ 4, "Electronics Non-volatile memory write failure" }, \
    { 5, "Safety function flow failure" }, \
    { 6, "HMI validation test failure" }, \
	{ 7, "Electronics temperature too low" }, \
    { 8, "Electronics temperature too high" }, \
	{ 9, "Invalid current input value" }, \
	{ 10, "Failsafe low" }, \
	{ 11, "Span limit high" }, \
    { 12, "Span limit low" }, \
	{ 13, "Hardware limit low" }, \
	{ 14, "Hardware limit high" }, \
	{ 15, "System limit low" }, \
    { 16, "System in fixed current mode" }, \
	{ 17, "Power supply too low(< 10.5 V DC)" }, \
	{ 18, "Power supply too high(> 40.5 V DC)" }, \
    { 19, "Current readback failed - High" }, \
    { 20, "Current readback failed - Low" }, \
    { 21, "Electronics RAM failure" }, \
    { 22, "Electronics ROM failure" }, \
    { 23, "Ambient temperature too high" }, \
    { 24, "Ambient temperature too low" }, \
    { 25, "Illegal memory access" }, \
    { 26, "Memory test failure" }, \
    { 27, "Electronics self-test failure" }, \
    { 28, "Level Sensor out of  Limits" }, \
	{ 29, "FE not responding" }, \
	{ 30, "FE laser failure" }, \
	{ 31, "FE no reference detected" }, \
	{ 32, "FE too many targets detected" }, \
	{ 33, "FE FPGA self-detected failure" }, \
	{ 34, "FE FPGA data error" }, \
	{ 35, "Target loss error" }, \
	{ 36, "Reference peak amplitude too low" }, \
	{ 37, "Reference peak amplitude too high" }, \
	{ 38, "Sensor Communication error" }, \
	{ 39, "Device Reset Required" }, \
	{ 40, "Invalid algorithm parameters" }, \
	{ 41, "Sensor not calibrated" }, \
	{ 42, "PV value out of range" }, \
	{ 43, "Level Low Low alarm" }, \
	{ 44, "Level Low warning" }, \
	{ 45, "Level High warning" }, \
	{ 46, "Level High High alarm" }, \
	{ 47, "Ullage Low Low alarm" }, \
	{ 48, "Ullage Low warning" }, \
	{ 49, "Ullage High warning" }, \
	{ 50, "Ullage High High alarm" }, \
	{ 55, "Level Measurement in Simulation Mode" }, \
	{ 57, "Ullage Measurement in Simulation Mode" }, \
	{ 58, "Volume in Simulation Mode" }, \
	{ 62, "Amplitude Measurement in Simulation Mode" }, \
    { 255, "OFF" }

#define EXTENDED_DIAGNOSTICS_0 "Simulation data"
#define EXTENDED_DIAGNOSTICS_28 "Level sensor out of limits - Level" 
#define EXTENDED_DIAGNOSTICS_29 "Level sensor out of limits - Interface" 

#define VOLT_AXIS_MIN 102.0
#define VOLT_AXIS_MAX 230.0
#define WAVE_ZERO_VALUE 128.0

#define  Rate_unit_ENUM \
        { 4, "m/hr" }, \
        { 11, "ft/min" }
		
#define LLT_ENA_DISA_ENUM	\
		{ 0, "Disabled" }, \
        { 1, "Enabled"  }
		


