
#define ABB_Identify   "|en|Identify"
#define ABB_EasySetup   "|en|Easy set-up"
#define ABB_Parameterize   "|en|Parameterize"
#define ABB_Calibration   "|en|Calibration"
#define ABB_Simulation   "|en|Simulation"
#define ABB_Observe     "|en|Process values"
#define ABB_Diagnosis   "|en|Diagnosis"
#define ABB_device_type_Label   "|en|Device type"
#define ABB_device_id_Label   "|en|Device serial no"
#define ABB_transmitter_revision_Label   "|en|Device revision"

#define mountOrientation_label "Mounting Orientation"
#define mountOrientation_help "Device may be either Top or Bottom Mounted."

#define serviceCodeLogOut_label "Service Code Logout"
#define serviceCodeLogOut_help "Service Code Logout"

#define T_UpperRange_Obj_label "Temperature USL |en zz|Temp. USL"
#define T_LowerRange_Obj_label "Temperature LSL |en zz|Temp. LSL"

#define T_Offset_Obj_Value_0_label "Offset"
#define T_Offset_Obj_Value_0_help "Offsets the temperature value read from the RTD at the bottom of the probe."

#define LIN_Table_Enabled_State_label "Linearization State"
#define LIN_Table_Enabled_State_help "If the linearization State is active, the linearized level and linearized interface (in 2 level devices) will be calculated based on the linearization table. If the linearization state is inactive, the linearized level will track the level and in 2 level devices, the linearized interface will track the interface."

#define alarm_delay_label "Alarm Delay"
#define alarm_delay_help "The output will go to alarm state only if there is a loss of signal that lasts at least the duration of the alarm delay."

#define pulseWidth_label "Pulse Width"
#define pulseWidth_help "Amount of energy used for the level measurement." 

#define swWriteProtection_label "SW Write Protection"

#define levelDeviceType_label "Device Configuration"  

#define reverseSignalPolarity_label "Signal Polarity" 
#define reverseSignalPolarity_help "The signal can be either standard or flipped."

#define toggle_signal_polarity_label "Toggle Signal Polarity" 
#define toggle_signal_polarity_help "The signal can be either standard or flipped."

#define blanking_label "Blanking Distance"
#define blanking_help "Blanking is a measured area which the LLT will be set to ignore including the nozzle distance. It may be necessary to extend the Blanking further past the nozzle to ignore reflections from the top portion of the probe. Blanking is set in terms of units. To adjust the Blanking, enter the distance from the Reference Measurement to be ignored. Do not blank into your measuring range. Signal will be lost."

#define readOnlySwitchStatus_label "Status |en zz|Rd Only Switch"

#define ABB_QV "QV"

#define Level_Alarm_Enable_label "Alarm"
#define Level_Alarm_Enable_help "Level Alarm Enable/Disable"

#define Ullage_Alarm_Enable_label "Alarm"
#define Ullage_Alarm_Enable_help "Ullage Alarm Enable/Disable"

#define Interface_Alarm_Enable_label "Alarm"
#define Interface_Alarm_Enable_help "Interface Alarm Enable/Disable"

#define elettronicTemperature_Obj_value_0_label "Electronics Temperature |en zz|Electronics Temp"
#define elettronicTemperature_Obj_value_0_help "The ambient temperature of the device surroundings." 

#define T_Alarm_Enable_label "Alarm"
#define T_Alarm_Enable_help "Temperature Alarm Enable/Disable"

#define level_threshold_label "Threshold"

#define alarmSelectionSource_label "Alarm Source"

#define spanLimitLowValue_label "Low Saturation"
#define spanLimitHighValue_label "High Saturation"

#define alarmLowValue_label "Low Alarm"
#define alarmHighValue_label "High Alarm"

#define alarmselection_label "Failure Mode"

#define HartAccessLevel_label "Access Level"
#define HartAccessLevel_help "Access Level can be Read Only or Standard or Advanced or Service user"

#define HartServiceCode_label "HART Service Code"
#define HartServiceCode_help "HART Service Code"

#define reset_software_write_protection_label "Reset Software Write Protection |en zz|Reset SW Write Protect"
#define reset_software_write_protection_help "Turnoff Software Write Protection."

#define set_software_write_protection_label "Set Software Write Protection |en zz|Set SW Write Protect"
#define set_software_write_protection_help "Set Software Write protection to ON or OFF."

#define LIN_Point_Status_0_label "LIN Point Status 1"
#define LIN_Point_Status_0_help "Linearized Point Status 1"
#define LIN_Point_Status_1_label "LIN Point Status 2"
#define LIN_Point_Status_1_help "Linearized Point Status 2"
#define LIN_Point_Status_2_label "LIN Point Status 3"
#define LIN_Point_Status_2_help "Linearized Point Status 3"
#define LIN_Point_Status_3_label "LIN Point Status 4"
#define LIN_Point_Status_3_help "Linearized Point Status 4"
#define LIN_Point_Status_4_label "LIN Point Status 5"
#define LIN_Point_Status_4_help "Linearized Point Status 5"
#define LIN_Point_Status_5_label "LIN Point Status 6"
#define LIN_Point_Status_5_help "Linearized Point Status 6"
#define LIN_Point_Status_6_label "LIN Point Status 7"
#define LIN_Point_Status_6_help "Linearized Point Status 7"
#define LIN_Point_Status_7_label "LIN Point Status 8"
#define LIN_Point_Status_7_help "Linearized Point Status 8"
#define LIN_Point_Status_8_label "LIN Point Status 9"
#define LIN_Point_Status_8_help "Linearized Point Status 9"
#define LIN_Point_Status_9_label "LIN Point Status 10"
#define LIN_Point_Status_9_help "Linearized Point Status 10"
#define LIN_Point_Status_10_label "LIN Point Status 11"
#define LIN_Point_Status_10_help "Linearized Point Status 11"
#define LIN_Point_Status_11_label "LIN Point Status 12"
#define LIN_Point_Status_11_help "Linearized Point Status 12"
#define LIN_Point_Status_12_label "LIN Point Status 13"
#define LIN_Point_Status_12_help "Linearized Point Status 13"
#define LIN_Point_Status_13_label "LIN Point Status 14"
#define LIN_Point_Status_13_help "Linearized Point Status 14"
#define LIN_Point_Status_14_label "LIN Point Status 15"
#define LIN_Point_Status_14_help "Linearized Point Status 15"
#define LIN_Point_Status_15_label "LIN Point Status 16"
#define LIN_Point_Status_15_help "Linearized Point Status 16"
#define LIN_Point_Status_16_label "LIN Point Status 17"
#define LIN_Point_Status_16_help "Linearized Point Status 17"
#define LIN_Point_Status_17_label "LIN Point Status 18"
#define LIN_Point_Status_17_help "Linearized Point Status 18"
#define LIN_Point_Status_18_label "LIN Point Status 19"
#define LIN_Point_Status_18_help "Linearized Point Status 19"
#define LIN_Point_Status_19_label "LIN Point Status 20"
#define LIN_Point_Status_19_help "Linearized Point Status 20"
#define LIN_Point_Status_20_label "LIN Point Status 21"
#define LIN_Point_Status_20_help "Linearized Point Status 21"

#define LIN_Input_Mode_label "Input Mode"
#define LIN_Input_Mode0_label "LIN Input Mode 1"
#define LIN_Input_Mode1_label "LIN Input Mode 2"
#define LIN_Input_Mode2_label "LIN Input Mode 3"
#define LIN_Input_Mode3_label "LIN Input Mode 4"
#define LIN_Input_Mode4_label "LIN Input Mode 5"
#define LIN_Input_Mode5_label "LIN Input Mode 6"
#define LIN_Input_Mode6_label "LIN Input Mode 7"
#define LIN_Input_Mode7_label "LIN Input Mode 8"
#define LIN_Input_Mode8_label "LIN Input Mode 9"
#define LIN_Input_Mode9_label "LIN Input Mode 10"
#define LIN_Input_Mode10_label "LIN Input Mode 11"
#define LIN_Input_Mode11_label "LIN Input Mode 12"
#define LIN_Input_Mode12_label "LIN Input Mode 13"
#define LIN_Input_Mode13_label "LIN Input Mode 14"
#define LIN_Input_Mode14_label "LIN Input Mode 15"
#define LIN_Input_Mode15_label "LIN Input Mode 16"
#define LIN_Input_Mode16_label "LIN Input Mode 17"
#define LIN_Input_Mode17_label "LIN Input Mode 18"
#define LIN_Input_Mode18_label "LIN Input Mode 19"
#define LIN_Input_Mode19_label "LIN Input Mode 20"
#define LIN_Input_Mode20_label "LIN Input Mode 21"

#define LIN_Table_Action_label "Linearization Table Action"
#define LIN_Table_Action_help "Linearization Table Action"

#define LIN_UpperRange_label "Output Maximum"
#define LIN_LowerRange_label "Output Minimum"

#define LinLevel_FlowObj_label "LIN Output Unit"
#define LinLevel_FlowObj_help "Linearization Flow Units"

#define LinLevel_VolumeObj_label "LIN Output Unit"
#define LinLevel_VolumeObj_help "Linearization Volume Units"

#define LinLevel_LevelObj_label "LIN Output Unit"
#define LinLevel_LevelObj_help "Linearization Level Units"

#define Position_label "Position"
#define Position_help "Position"

#define Distance_label "Distance"
#define Distance_help "Distance"

#define PlotDistance_Obj_unit_label "Plot Distance Unit"
#define PlotDistance_Obj_unit_help "Plot Distance Units"

#define Distance_Obj_unit_label "Distance Unit"
#define Distance_Obj_unit_help "Set waveform x-axis distance units."

#define WF_Start_label "Waveform Start"
#define WF_Start_help "Waveform Start"

#define displayMode_1_label "Display Mode"
#define displayMode_2_label "Display Mode"
#define displayMode_3_label "Display Mode"
#define displayMode_4_label "Display Mode"

#define mainOperatorView_1_1_label "1st Line"
#define mainOperatorView_1_2_label "2nd Line"
#define mainOperatorView_1_3_label "3rd Line"
#define mainOperatorView_1_bargraph_label "Bargraph"

#define mainOperatorView_2_1_label "1st Line"
#define mainOperatorView_2_2_label "2nd Line"
#define mainOperatorView_2_3_label "3rd Line"
#define mainOperatorView_2_bargraph_label "Bargraph"

#define mainOperatorView_3_1_label "1st Line"
#define mainOperatorView_3_2_label "2nd Line"
#define mainOperatorView_3_3_label "3rd Line"
#define mainOperatorView_3_bargraph_label "Bargraph"

#define mainOperatorView_4_1_label "1st Line"
#define mainOperatorView_4_2_label "2nd Line"
#define mainOperatorView_4_3_label "3rd Line"
#define mainOperatorView_4_bargraph_label "Bargraph"

#define localOperationEnable_label "Local Operation"
#define localOperationEnable_help "Enables local operation with push buttons." 

#define language_label "Language"

#define contrast_label "Contrast"

#define autoscrollEnable_label "Autoscroll"

#define DateFormat_label "Date Format"
#define DateFormat_help "Date Format"

#define lowLevelSoftwareRevision_label "Display Revision"
#define lowLevelSoftwareRevision_help "Display revision."

#define cbSoftwareRevisionChars_label "Software Revision"
#define cbSoftwareRevisionChars_help "Field Device Software Revision- This revision corresponds to the software or firmware, that is embedded in the Field Device."

#define cbHardwareRevisionChars_label "Hardware Revision"
#define cbHardwareRevisionChars_help "Electronics hardware revision."

#define feSoftwareRevisionChars_label "Software Revision"
#define feSoftwareRevisionChars_help "Sensor software revision."

#define feHardwareRevisionChars_label "Hardware Revision"
#define feHardwareRevisionChars_help "Hardware Revision- Revision that corresponds to the electronics hardware of the Field Device."

#define T_Alarm_Obj_value_0_label "Low Low"
#define T_Alarm_Obj_value_0_help "The Temperature value below which the 'Alarm Low Low' status bit is set."

#define T_Alarm_Obj_value_1_label "Low"
#define T_Alarm_Obj_value_1_help "The Temperature value below which the 'Alarm Low' status bit is set."

#define T_Alarm_Obj_value_2_label "High"
#define T_Alarm_Obj_value_2_help "The Temperature value above which the 'Alarm High' status bit is set."

#define T_Alarm_Obj_value_3_label "High High"
#define T_Alarm_Obj_value_3_help "The Temperature value above which the 'Alarm High High' status bit is set."

#define T_History_Values_Obj_value_0_label "Minimum Temperature |en zz|Min Temp"
#define T_History_Values_Obj_value_0_help "Minimum recorded temperature of the process."

#define T_History_Values_Obj_value_1_label "Maximum Temperature |en zz|Max Temp"
#define T_History_Values_Obj_value_1_help "Maximum recorded temperature of the process."

#define HSetPassword_StandardLevel_label "Set Standard Password"
#define HSetPassword_AdvancedLevel_label "Set Advanced Password"

//Level Family

#define Level_Offset_Obj_value_0_label "Level Offset"
#define Interface_Offset_Obj_value_0_label "Interface Offset"
#define Level_Alarm_Obj_value_0_label "Low Low"
#define Level_Alarm_Obj_value_1_label "Low"
#define Level_Alarm_Obj_value_2_label "High"
#define Level_Alarm_Obj_value_3_label "High High"
#define Level_Alarm_Obj_value_0_help "The Level value below which the Level Alarm Low Low status bit is set."
#define Level_Alarm_Obj_value_1_help "The Level value below which the Level Alarm Low status bit is set."
#define Level_Alarm_Obj_value_2_help "The Level value above which the Level Alarm High status bit is set."
#define Level_Alarm_Obj_value_3_help "The Level value above which the Level Alarm High High status bit is set."

#define Ullage_Alarm_Obj_value_0_label "Low Low"
#define Ullage_Alarm_Obj_value_0_help "The Ullage value below which the Ullage Alarm Low Low status bit is set."
#define Ullage_Alarm_Obj_value_1_label "Low"
#define Ullage_Alarm_Obj_value_1_help "The Ullage value below which the Ullage Alarm Low status bit is set."
#define Ullage_Alarm_Obj_value_2_label "High"
#define Ullage_Alarm_Obj_value_2_help "The Ullage value above which the Ullage Alarm High status bit is set."
#define Ullage_Alarm_Obj_value_3_label "High High"
#define Ullage_Alarm_Obj_value_3_help "The Ullage value above which the Ullage Alarm High High status bit is set."
#define Interface_Alarm_Obj_value_0_label "Low Low"
#define Interface_Alarm_Obj_value_0_help "The Interface value below which the Interface Alarm Low Low status bit is set."
#define Interface_Alarm_Obj_value_1_label "Low"
#define Interface_Alarm_Obj_value_1_help "The Interface value below which the Interface Alarm Low status bit is set."
#define Interface_Alarm_Obj_value_2_label "High"
#define Interface_Alarm_Obj_value_2_help "The Interface value above which the Interface Alarm High status bit is set."
#define Interface_Alarm_Obj_value_3_label "High High"
#define Interface_Alarm_Obj_value_3_help "The Interface value above which the Interface Alarm High High status bit is set."

#define probeLength_Obj_value_0_label "Probe Length"
#define Sensor_Pt_A_label "Upper Sensor Point" 
#define Sensor_Pt_B_label "Lower Sensor Point" 
#define Level_Pt_A_label "Upper Level Point" 
#define Level_Pt_B_label "Lower Level Point" 

#define LevelAlarmLimitSelectionCode_label "Alarm limit selection"
#define LevelAlarmLimitSelectionCode_help "Alarm limit selection code"
#define LinLevelAlarmLimitSelectionCode_label "Alarm limit selection"
#define LinLevelAlarmLimitSelectionCode_help "Alarm limit selection code"
#define UllageAlarmLimitSelectionCode_label "Alarm limit selection"
#define UllageAlarmLimitSelectionCode_help "Alarm limit selection code"
#define InterfaceAlarmLimitSelectionCode_label "Alarm limit selection"
#define InterfaceAlarmLimitSelectionCode_help "Alarm limit selection code"
#define LinInterfaceAlarmLimitSelectionCode_label "Alarm limit selection"
#define LinInterfaceAlarmLimitSelectionCode_help "Alarm limit selection code"
#define LevelAlarmLimitValue_label "Level alarm limit value"
#define LevelAlarmLimitValue_help "Level alarm limit value"
#define LinLevelAlarmLimitValue_label "LIN 0 alarm limit value"
#define LinLevelAlarmLimitValue_help "Linearized Level Alarm Limit Value"
#define UllageAlarmLimitValue_label "Ullage alarm limit value"
#define UllageAlarmLimitValue_help "Ullage Level Alarm Limit Value"
#define InterfaceAlarmLimitValue_label "Interface alarm limit value"
#define InterfaceAlarmLimitValue_help "Interface Alarm Limit Value"
#define LinInterfaceAlarmLimitValue_label "LIN 1 alarm limit value"
#define LinInterfaceAlarmLimitValue_help "Linearized Interface Alarm Limit Value"

#define Level_Obj_value_0_label "Level"
#define Level_Obj_unit_label "Level Units"
#define levelPDQ_label "Level Data Quality"
#define levelLS_label "Level Limit Status"
#define Level_Status_label "Level Status"
#define Level_Classification_label "Level Classification"
#define LeveldeviceVariableFamilyCodes_Level_label "Level Device Family"
#define Level_MinimumSpan_Obj_value_0_label "Level Minimum Span"
#define Level_DampingTime_label "Damping"
#define LevelSim_Enable_label "Simulation"
#define LeveltransducerSerialNumber_label "Sensor s/n"

#define LinLevel_LevelObj_value_0_label "Linearized Level"
#define LinLevel_LevelObj_value_0_help "Linearized Level Value"
#define LinLevel_LevelObj_unit_label "Lin Level Units"
#define LinLevel_LevelObj_unit_help "Linearized Level Units"
#define Lin_Level_Classification_label "Lin Level Classification"

#define LinLevel_FlowObj_value_0_label "Linearized Level"
#define LinLevel_FlowObj_value_0_help "Linearized Level Value"
#define LinLevel_FlowObj_unit_label "Lin Level Units"
#define LinLevel_FlowObj_unit_help "Linearized Level Units"
#define Lin_Volume_Flow_Classification_label "Lin Level Classification"
#define LinLevel_FlowSim_Enable_label "Simulation"
#define LinLevel_FlowSim_Enable_help "Simulate the Linearized Level reading of the device."

#define LinLevel_VolumeObj_value_0_label "Volume"
#define LinLevel_VolumeObj_value_0_help "Linearized Value for Volume"
#define LinLevel_VolumeObj_unit_label "Volume Unit"
#define LinLevel_VolumeObj_unit_help "Linearized Level - Volume Unit"
#define Lin_Volume_Classification_label "Lin Level Classification"
#define LinLevel_VolumeSim_Enable_label "Simulation"
#define LinLevel_VolumeSim_Enable_help "Simulate the Linearized Level reading of the device."

#define LIN_Level_label "LIN 0 Value"
#define LIN_Level_help "Linearized Level Value"
#define LIN_Units_label "Output Unit"
#define linearized_levelPDQ_label "LIN 0 Data Quality"
#define linearized_levelLS_label "LIN 0 Limit Status"
#define LinLevel_Status_label "LIN 0 Level Status"
#define Lin_Classification_label "Output Type"
#define LIN_Level_UpperRange_label "LIN 0 Upper Sensor Limit"
#define LIN_Level_LowerRange_label "LIN 0 Lower Sensor Limit"
#define LIN_Level_MinimumSpan_label "LIN 0 Minimum Span"
#define LIN_Level_MinimumSpan_help "Linearized Level Minimum Span"
#define LinLevel_DampingTime_label "LIN Damping"
#define LinLevelSim_Enable_label "Simulation"
#define LintransducerSerialNumber_label "Sensor Serial Number"
#define Ullage_Obj_value_0_label "Ullage"
#define Ullage_Obj_value_0_help "Ullage Value"
#define UllageLevel_Classification_label "Ullage Classification"
#define Ullage_UpperRange_Obj_value_0_label "Ullage Upper Sensor Limit"
#define Ullage_LowerRange_Obj_value_0_label "Ullage Lower Sensor Limit"
#define Ullage_MinimumSpan_label "Ullage Minimum Span"
#define Ullage_MinimumSpan_help "Ullage Minimum Span"
#define UllageLevel_DampingTime_label "Ullage Damping"
#define UllageSim_Enable_label "Simulation"
#define UllagetransducerSerialNumber_label "Sensor Serial Number"
#define Interface_Obj_value_0_label "Interface"
#define Interface_UpperRange_Obj_value_0_label "Interface Upper Sensor Limit"
#define Interface_LowerRange_Obj_value_0_label "Interface Lower Sensor Limit"
#define Interface_MinimumSpan_label "Interface Minimum Span"
#define Interface_MinimumSpan_help "Interface Minimum Span"
#define InterfaceLevel_DampingTime_label "Interface Damping"
#define InterfaceSim_Enable_label "Simulation"
#define InterfacetransducerSerialNumber_label "Sensor Serial Number"

#define LinInterface_LevelObj_value_0_label "Linearized Interface"
#define LinInterface_LevelObj_value_0_help "Linearized Interface Value"
#define LinInterface_LevelObj_unit_label "Lin Interface Unit"
#define LinInterface_LevelObj_unit_help "Linearized Interface Units"

#define LinInterface_FlowObj_value_0_label "Linearized Interface"
#define LinInterface_FlowObj_value_0_help "Linearized Interface Value"
#define LinInterface_FlowObj_unit_label "Lin Interface Unit"
#define LinInterface_FlowObj_unit_help "Linearized Interface Units"

#define LinInterface_VolumeObj_value_0_label "Linearized Interface"
#define LinInterface_VolumeObj_value_0_help "Linearized Interface Value"
#define LinInterface_VolumeObj_unit_label "Lin Interface Unit"
#define LinInterface_VolumeObj_unit_help "Linearized Interface Units"

#define LinInterface_VolumeSim_Enable_label "Simulation"
#define LinInterface_VolumeSim_Enable_help "Simulate the Linearized Interface reading of the device."

#define LIN_Interface_label "LIN 1 Value"
#define LIN_Interface_help "Linearized Interface Value"
#define LIN_Interface_UpperRange_label "LIN 1 Upper Sensor Limit"
#define LIN_Interface_LowerRange_label "LIN 1 Lower Sensor Limit"
#define LIN_Interface_MinimumSpan_label "LIN 1 Minimum Span"
#define LIN_Interface_MinimumSpan_help "Linearized Interface Minimum Span"
#define LinInterfaceSim_Enable_label "Simulation"

#define T_Obj_value_0_label "Temperature"
#define T_Obj_unit_label "Temperature Unit |en zz|Temp. Unit"
#define T_Obj_unit_help "Sensor Temperature Units- Engineering unit to be displayed with Sensor Temperature."
#define T_Classification_label "Temperature Classification"
#define T_UpperRange_Obj_value_0_label "Temperature USL |en zz|Temp. USL"
#define T_LowerRange_Obj_value_0_label "Temperature LSL |en zz|Temp. LSL"
#define T_MinimumSpan_Obj_value_0_label "Minimum Span"
#define T_DampingTime_label "Damping"
#define TSim_Enable_label "Simulation"
#define T_transducerSerialNumber_label "Temperature Sensor Serial Number"
#define temperature_sensor_present_label "Temperature Sensor"

//Amplitude
#define Amp_Obj_value_0_label "Amplitude"
#define Amp_Obj_unit_label "Amplitude Unit |en zz|Temp. Unit"
#define Amp_Obj_unit_help "Amplitude Units- Engineering unit to be displayed with Amplitude."
#define Amp_Classification_label "Amplitude Classification"
#define Amp_UpperRange_Obj_value_0_label "Amplitude USL |en zz|Ampl. USL"
#define Amp_LowerRange_Obj_value_0_label "Amplitude LSL |en zz|Ampl. LSL"
#define Amp_MinimumSpan_Obj_value_0_label "Minimum Span"
#define Amp_DampingTime_label "Damping"
#define AmpSim_Enable_label "Simulation"
#define Amp_transducerSerialNumber_label "Amplitude Sensor Serial Number"
#define amplitude_sensor_present_label "Amplitude Sensor"

#define reset_output_trimming_label "Reset D/A Trim"
#define reset_output_trimming_help "Reset the device D/A trim points to factory settings."
#define reset_passwords_defaults_label "Reset Passwords to Default |en zz|Reset Passwords"
#define reset_passwords_defaults_help "Reset Standard and Advanced Passwords to the factory defaults."

#define sensor_ID_label "Sensor ID"
#define sensor_ID_help "ID of the device sensor"

#define cpuLoad_label "CPU Load"
#define cpuLoad_help "Percent of CPU load."

#define totalWorkingTimeHour_label "Total Run Time"
#define totalWorkingTimeHour_help "Total run time in days since last device reset."

#define level_upper_trim_label "Set Level Upper Trim |en zz|Set Lvl Upper Trim"
#define level_upper_trim_help "Set the Level Upper Trim value of the device."

#define level_lower_trim_label "Set Level Lower Trim |en zz|Set Lvl Lower Trim"
#define level_lower_trim_help "Set the Level Lower Trim value of the device."

#define temperature_upper_trim_label "Set Temperature Upper Trim |en zz|Set Upper Trim"
#define temperature_upper_trim_help "Set the Temperature Upper Trim value of the device."
#define temperature_lower_trim_label "Set Temperature Lower Trim |en zz|Set Lower Trim"
#define temperature_lower_trim_help "Set the Temperature Lower Trim value of the device."

//LIN points : Label

#define lin_input_0_label "LIN Input Point 1"
#define lin_input_1_label "LIN Input Point 2"
#define lin_input_2_label "LIN Input Point 3"
#define lin_input_3_label "LIN Input Point 4"
#define lin_input_4_label "LIN Input Point 5"
#define lin_input_5_label "LIN Input Point 6"
#define lin_input_6_label "LIN Input Point 7"
#define lin_input_7_label "LIN Input Point 8"
#define lin_input_8_label "LIN Input Point 9"
#define lin_input_9_label "LIN Input Point 10"
#define lin_input_10_label "LIN Input Point 11"
#define lin_input_11_label "LIN Input Point 12"
#define lin_input_12_label "LIN Input Point 13"
#define lin_input_13_label "LIN Input Point 14"
#define lin_input_14_label "LIN Input Point 15"
#define lin_input_15_label "LIN Input Point 16"
#define lin_input_16_label "LIN Input Point 17"
#define lin_input_17_label "LIN Input Point 18"
#define lin_input_18_label "LIN Input Point 19"
#define lin_input_19_label "LIN Input Point 20"
#define lin_input_20_label "LIN Input Point 21"

#define lin_input_0_help "Linearized input point 1"
#define lin_input_1_help "Linearized input point 2"
#define lin_input_2_help "Linearized input point 3"
#define lin_input_3_help "Linearized input point 4"
#define lin_input_4_help "Linearized input point 5"
#define lin_input_5_help "Linearized input point 6"
#define lin_input_6_help "Linearized input point 7"
#define lin_input_7_help "Linearized input point 8"
#define lin_input_8_help "Linearized input point 9"
#define lin_input_9_help "Linearized input point 10"
#define lin_input_10_help "Linearized input point 11"
#define lin_input_11_help "Linearized input point 12"
#define lin_input_12_help "Linearized input point 13"
#define lin_input_13_help "Linearized input point 14"
#define lin_input_14_help "Linearized input point 15"
#define lin_input_15_help "Linearized input point 16"
#define lin_input_16_help "Linearized input point 17"
#define lin_input_17_help "Linearized input point 18"
#define lin_input_18_help "Linearized input point 19"
#define lin_input_19_help "Linearized input point 20"
#define lin_input_20_help "Linearized input point 21"

#define lin_output_0_label "LIN Output Point 1"
#define lin_output_1_label "LIN Output Point 2"
#define lin_output_2_label "LIN Output Point 3"
#define lin_output_3_label "LIN Output Point 4"
#define lin_output_4_label "LIN Output Point 5"
#define lin_output_5_label "LIN Output Point 6"
#define lin_output_6_label "LIN Output Point 7"
#define lin_output_7_label "LIN Output Point 8"
#define lin_output_8_label "LIN Output Point 9"
#define lin_output_9_label "LIN Output Point 10"
#define lin_output_10_label "LIN Output Point 11"
#define lin_output_11_label "LIN Output Point 12"
#define lin_output_12_label "LIN Output Point 13"
#define lin_output_13_label "LIN Output Point 14"
#define lin_output_14_label "LIN Output Point 15"
#define lin_output_15_label "LIN Output Point 16"
#define lin_output_16_label "LIN Output Point 17"
#define lin_output_17_label "LIN Output Point 18"
#define lin_output_18_label "LIN Output Point 19"
#define lin_output_19_label "LIN Output Point 20"
#define lin_output_20_label "LIN Output Point 21"

#define lin_output_0_help "Linearized output point 1"
#define lin_output_1_help "Linearized output point 2"
#define lin_output_2_help "Linearized output point 3"
#define lin_output_3_help "Linearized output point 4"
#define lin_output_4_help "Linearized output point 5"
#define lin_output_5_help "Linearized output point 6"
#define lin_output_6_help "Linearized output point 7"
#define lin_output_7_help "Linearized output point 8"
#define lin_output_8_help "Linearized output point 9"
#define lin_output_9_help "Linearized output point 10"
#define lin_output_10_help "Linearized output point 11"
#define lin_output_11_help "Linearized output point 12"
#define lin_output_12_help "Linearized output point 13"
#define lin_output_13_help "Linearized output point 14"
#define lin_output_14_help "Linearized output point 15"
#define lin_output_15_help "Linearized output point 16"
#define lin_output_16_help "Linearized output point 17"
#define lin_output_17_help "Linearized output point 18"
#define lin_output_18_help "Linearized output point 19"
#define lin_output_19_help "Linearized output point 20"
#define lin_output_20_help "Linearized output point 21"

//methods: Label and Help

#define method_lin_tables_label "Set Linearization Points |en zz|Set LIN Points"
#define method_lin_tables_help "Configures the LIN points mode, LIN Input points, LIN Output points and LIN points status."
#define service_access_label "Login Access Level"
#define service_access_help "Send password to change access level to modify protected device features."
#define logout_access_level_label "Logout Access Level"
#define logout_access_level_help "Return to lowest access level."

#define wet_calibration_level_lowerpoint_label "Set Lower Level Point |en zz|Set Lower Level Pt"
#define wet_calibration_level_lowerpoint_help "Calibration performed by writing the lower level value to the device and having the device measure and store the associated sensor value."

#define wet_calibration_level_upperpoint_label "Set Upper Level Point |en zz|Set Upper Level Pt"
#define wet_calibration_level_upperpoint_help "Calibration performed by writing the upper level value to the device and having the device measure and store the associated sensor value."

#define wet_calibration_level_label "Wet Calibration - Level"
#define wet_calibration_level_help "Calibration performed by writing the level value to the device and having the device measure and store the associated sensor value."

#define wet_calibration_interface_label "Wet Calibration - Interface"
#define wet_calibration_interface_help "Calibration performed by writing the interface value to the device and having the device measure and store the associated sensor value."

#define wet_calibration_interface_lowerpoint_label "Set Lower Interface Point |en zz|Set Lower Interface Pt"
#define wet_calibration_interface_lowerpoint_help "Calibration performed by writing the lower interface value to the device and having the device measure and store the associated sensor value."

#define wet_calibration_interface_upperpoint_label "Set Upper Interface Point |en zz|Set Upper Interface Pt"
#define wet_calibration_interface_upperpoint_help "Calibration performed by writing the upper interface value to the device and having the device measure and store the associated sensor value."

#define wet_calibration_label "Wet Calibration"
#define wet_calibration_help "Calibration performed by writing the level value to the device and having the device measure and store the associated sensor value."
#define clear_diagnostics_history_label "Clear Diagnostics History"
#define clear_diagnostics_history_help "Clear the diagnostics history in the device."
#define clear_temperature_history_label "Clear Temperature History |en zz|Clear Temp History"
#define clear_temperature_history_help "Resets the recorded maximum and minimum temperatures to zero."

#define change_standard_password_label "Change Standard Password"
#define change_standard_password_help "Change password for Standard access level"
#define change_advanced_password_label "Change Advanced Password"
#define change_advanced_password_help "Change password for Advanced access level"

#define clear_lin_table_label "Clear Table"
#define reload_lin_table_label "Restore Table"
#define backup_lin_table_label "Save Table"

#define login_standard_password_label "Login Standard"
#define login_standard_password_help "Login to Standard access level."

#define login_advanced_password_label "Login Advanced"
#define login_advanced_password_help "Login to Advanced access level."

#define login_service_password_label "Login Service"
#define login_service_password_help "Login to Service access level." 

//Graph: Label and Help

#define distance_label "Distance"
#define volt_label "Amplitude"
#define zero_line_label "Zero"
#define zero_line_help "Zero Line"

#define at_sensor_reference_point_label "At Sensor Reference Point |en zz|At Snsr Ref Point"
#define at_sensor_reference_point_help "Show waveform data at Sensor Reference Point.\n\nLegends:\nWaveform- Blue\nBlanking Distance- Purple\nThreshold- Green\nZero- Red"
#define at_level_label "At Level"
#define at_level_help "Show waveform data at Level.\n\nLegends:\nWaveform- Blue\nBlanking Distance- Purple\nThreshold- Green\nZero- Red"
#define at_interface_label "At Interface"
#define at_interface_help "Show waveform data at Interface.\n\nLegends:\nWaveform- Blue\nBlanking Distance- Purple\nThreshold- Green\nZero- Red"
#define at_user_distance_label "At User Distance"
#define at_user_distance_help "Show waveform data at User Distance.\n\nLegends:\nWaveform- Blue\nBlanking Distance- Purple\nThreshold- Green\nZero- Red"
#define at_end_of_probe_label "At End of Probe"
#define at_end_of_probe_help "Show waveform data at End of Probe.\n\nLegends:\nWaveform- Blue\nBlanking Distance- Purple\nThreshold- Green\nZero- Red"

#define Level_Range_Obj_value_0_label "Vessel Full (URV)"
#define Level_Range_Obj_value_0_help "The upper range value for the Level measurement."
#define Level_Range_Obj_value_1_label "Vessel Empty (LRV)"
#define Level_Range_Obj_value_1_help "The lower range value for the Level measurement."

#define LinLevel_FlowRange_Obj_value_0_label "Vessel Full (URV)"
#define LinLevel_FlowRange_Obj_value_0_help "The upper range value for the Linearized Level measurement."
#define LinLevel_FlowRange_Obj_value_1_label "Vessel Empty (LRV)"
#define LinLevel_FlowRange_Obj_value_1_help "The lower range value for the Linearized Level measurement."

#define LinLevel_VolumeRange_Obj_value_0_label "Vessel Full (URV)"
#define LinLevel_VolumeRange_Obj_value_0_help "The upper range value for the Linearized Level measurement."
#define LinLevel_VolumeRange_Obj_value_1_label "Vessel Empty (LRV)"
#define LinLevel_VolumeRange_Obj_value_1_help "The lower range value for the Linearized Level measurement."

#define Ullage_Range_Obj_value_0_label "Vessel Full (URV)"
#define Ullage_Range_Obj_value_0_help "The upper range value for the Ullage measurement."
#define Ullage_Range_Obj_value_1_label "Vessel Empty (LRV)"
#define Ullage_Range_Obj_value_1_help "The lower range value for the Ullage measurement."

#define Interface_Range_Obj_value_0_label "Vessel Full (URV)"
#define Interface_Range_Obj_value_0_help "The upper range value for the Interface measurement."
#define Interface_Range_Obj_value_1_label "Vessel Empty (LRV)"
#define Interface_Range_Obj_value_1_help "The lower range value for the Interface measurement."

#define LinInterface_VolumeRange_Obj_value_0_label "Vessel Full (URV)"
#define LinInterface_VolumeRange_Obj_value_0_help "The upper range value for the Linearized Interface measurement."
#define LinInterface_VolumeRange_Obj_value_1_label "Vessel Empty (LRV)"
#define LinInterface_VolumeRange_Obj_value_1_help "The lower range value for the Linearized Interface measurement."

#define T_Range_Obj_value_0_label "Vessel Full (URV)"
#define T_Range_Obj_value_0_help "The upper range value for the Temperature measurement."
#define T_Range_Obj_value_1_label "Vessel Empty (LRV)"
#define T_Range_Obj_value_1_help "The lower range value for the Temperature measurement."

#define Amp_Range_Obj_value_0_label "Vessel Full (URV)"
#define Amp_Range_Obj_value_0_help "The upper range value for the Amplitude measurement."
#define Amp_Range_Obj_value_1_label "Vessel Empty (LRV)"
#define Amp_Range_Obj_value_1_help "The lower range value for the Amplitude measurement."


#define Level_Obj_unit_help "Engineering Units for the distance measurements."
#define Level_Offset_Obj_value_0_help "The value added to the Measured Level to give the Media Level, this value may be positive, negative or zero."
#define Interface_Offset_Obj_value_0_help "The value added to the Measured Interface to give the Media Interface, this value may be positive, negative or zero."
#define probeLength_Obj_value_0_help "The distance between the potential maximum reference point of the device and the Sensor Reference Point."
#define language_help "The LLT has been equipped with several different operating languages to assist in the setup of the unit. When a specific language is selected, the titles of the menu items will be translated. Abbreviations specific to the LLT will remain unchanged as icons regardless of language selection."
#define swWriteProtection_help "Indicates whether variables can be written to the Field Device, or whether commands that cause actions to be performed in the Field Device, can or cannot occur."
#define levelDeviceType_help "Options include 1 or 2 Levels and with or without Temperature."

#define Dummy_sensorOffset_label "Sensor Offset"
#define Dummy_sensorOffset_help "May be used to compensate for an un-measurable area below a probe OR to align the measurement of the LLT with another device."

#define Sensor_Type_label "Snsr Tech. Code |en zz|Snsr Tech. Code"
#define Sensor_Type_help "Type of Sensor in the field device."

#define T_LowerRange_Obj_help "Lower Sensor Limit for the temperature sensor."
#define T_UpperRange_Obj_help "Upper Sensor Limit for the temperature sensor."

#define spanLimitLowValue_help "Saturation limit low of the analog output current."
#define spanLimitHighValue_help "Saturation limit high of the analog output current."

#define alarmLowValue_help "Low Alarm limit low of the analog output current. (NAMUR Standard = 3.6 mA)"
#define alarmHighValue_help "High Alarm limit High of the analog output current. (NAMUR Standard = 21.0 mA)"
#define alarmselection_help "The failure mode indicates the action taken by the device loop current under error conditions."
#define alarmSelectionSource_help "Alarm selection source may be either Software, Hardware Low or Hardware High."

#define dry_calibration_HLP "Used for doing a dry calibration where both the sensor points and level points are submitted by the user."
#define dry_calibration_level_HLP "Used for doing a dry calibration where both the sensor points and level points are submitted by the user."
#define dry_calibration_interface_HLP "Used for doing a dry calibration where both the sensor points and interface points are submitted by the user."

#define Sensor_Pt_Acal_Level_HLP "The upper sensor point in the calibration. This corresponds to upper level point (2 level points are used in the LLT calibration table)."
#define Sensor_Pt_Bcal_Level_HLP "The lower sensor point in the calibration. This corresponds to lower level point (2 level points are used in the LLT calibration table)."
#define Sensor_Pt_Acal_Interface_HLP "The upper sensor point in the calibration. This corresponds to upper interface point (2 interface points are used in the LLT calibration table)."
#define Sensor_Pt_Bcal_Interface_HLP "The lower sensor point in the calibration. This corresponds to lower interface point (2 interface points are used in the LLT calibration table)." 


#define Sensor_Pt_A_HLP "The upper sensor point in the calibration. This corresponds to upper level point (2 level points are used in the LLT calibration table)."
#define Sensor_Pt_B_HLP "The lower sensor point in the calibration. This corresponds to lower level point (2 level points are used in the LLT calibration table)."
#define Level_Pt_A_HLP "The upper level point in the calibration. This corresponds to upper sensor point (2 level points are used in the LLT calibration table)."
#define Level_Pt_B_HLP "The lower level point in the calibration. This corresponds to lower sensor point (2 level points are used in the LLT calibration table)."

#define Interface_Pt_Acal_label "Upper Interface Point |en zz|Upper Interface Pt" 
#define Interface_Pt_Bcal_label "Lower Interface Point |en zz|Lower Interface Pt"

#define Interface_Pt_Acal_HLP "The upper interface point in the calibration. This corresponds to upper sensor point (2 interface points are used in the LLT calibration table)."
#define Interface_Pt_Bcal_HLP "The lower interface point in the calibration. This corresponds to lower sensor point (2 interface points are used in the LLT calibration table)."

#define Contrast_help "Adjusts the contrast of the device HMI."
#define Auto_Scroll_help "Enables autoscrolling of the Operator pages on the HMI."
#define Display_Mode_help "Sets the number of lines and the number of characters per line on this page. Also, determines if bargraph is displayed or not."
#define First_Line_help "Sets the device variable that is displayed in Line 1."
#define Second_Line_help "Sets the device variable that is displayed in Line 2 if present."
#define Third_Line_help "Sets the device variable that is displayed in Line 3 if present."
#define Bargraph_help "Sets the device variable that is displayed in the bargraph if present."

#define LevelSim_help "Level value simulation status."
#define LinLevelSim_help "Linearized Level value simulation status."
#define UllageSim_help "Ullage value simulation status."
#define InterfaceSim_help "Interface value simulation status."
#define LinInterfaceSim_help "Linearized Interface value simulation status."
#define TSim_help "Temperature value simulation status."
#define AmpSim_help "Temperature value simulation status."

#define LevelSim_Enable_help "Simulate the Level reading of the device."
#define LinLevelSim_Enable_help "Simulate the Linearized Level reading of the device."
#define UllageSim_Enable_help "Simulate the Ullage reading of the device."
#define InterfaceSim_Enable_help "Simulate the Interface reading of the device."
#define LinInterfaceSim_Enable_help "Simulate the Linearized Interface reading of the device."
#define TSim_Enable_help "Simulate the Temperature reading of the device."

#define S_LEVEL "Level"
#define S_INTERFACE "Interface"
#define S_LINEARIZED_LEVEL  "Linearized Level"
#define S_LINEARIZED_INTERFACE  "Linearized Interface"
#define S_ULLAGE_LABEL "Ullage"
#define S_ULLAGE_HELP "Ullage"
#define S_LVL_THRESHOLD "Threshold"
#define S_INTERFACE_THRESHOLD "Interface Threshold"
#define S_THRESHOLD_COMP "Threshold Compensation"
#define S_THRESHOLD "Threshold"
#define S_BLANKING_DISTANCE "Blanking Distance"

#define S_RANGE "Range"
#define S_LWR_TRM_PNT "Low Trim Point"
#define S_UPR_TRM_PNT "High Trim Point"
#define S_PROMPT_EXTENDED "CAUTION: Adjusting the following parameters may adversely affect the performance of this device!\nPlease contact ABB if you are uncertain about how changing these settings will affect the performance of the device!\nClick OK to continue or ABORT to return to the previous menu."
#define S_PMD_EXTENDED "CAUTION: Adjusting the following parameters may adversely affect the performance of this device!\nPlease contact ABB if you are uncertain about how changing these settings will affect the performance of the device!\nIf uncertain about the effects of changing these parameters, click 'Close' to return to the previous menu."
#define S_LEVEL_HELP "Level - The total product measurement of the device"
#define S_INTERFACE_HELP "Interface - The measured value of the interface product"
#define S_LINEARIZED_LEVEL_HELP  "Linearized Level - The output of the linearization table based on Level"
#define S_LINEARIZED_INTERFACE_HELP  "Linearized Interface - The output of the linearization table based on Interface"
#define BASICSETUP_HLP "BASIC SETUP is the menu of the minimum settings required to tune the device for specific installation conditions.  At a minimum, the items in the BASIC SETUP menu will need to be entered for the LLT to operate. "
#define EXTENDEDSETUP_HLP "Only trained personnel should make adjustments to these parameters. EXTENDED SETUP is the menu containing parameters for carrying out sensor trimming and fine tuning of the device for the specific operating conditions.  This menu is PASSWORD PROTECTED.  Please contact K-TEK, www.kteckcorp.com, or your local representative if you require assistance."
#define UNITS_HLP "This is the UNIT of measure for the process variable of the device and provides a basis for all of the setup functions. Selectable engineering UNITS include: inches, feet, meters, millimeters and centimeters." 
#define PROBETYPE_HLP "This function will help adjust the transmitter setting for the installed configuration. Certain aspects of the transmitter setup will be adjusted to conform to the probe type selected. Selectable probe types include: Single Rod/Cable, Dual Rod/Cable or Coaxial. Select only the type of probe mounted to the LLT transmitter. Failure to set the correct probe type could result in measurement errors. "   
#define PROBELENGTH_HLP "Also described as insertion length, PROBE LENGTH is the measured distance from the bottom thread of the process fitting (or the face of the flange) to the end of the probe. This value must be entered in units that correspond to the UNITS parameter."   
#define MOUNTINGTYPE_HLP "Mounting configurations will affect probe types in different ways.  A sensor mounted on a nozzle whose length is greater than its width could cause a reduced signal capacity which must be accounted for by the LLT. The MOUNTING TYPE corresponding to the installation must be entered correctly. The MOUNTING TYPE should fall into one of the categories listed below:\nPLATE - a flat surface roof or metal disk used for signal launch\nCOUPLING PLATE - a coupling or nipple fitting welded to a flat ceiling or launch plate.\nNOZZLE/FLANGE H>S - A nozzle with a greater height than diameter.\nNOZZLE/FLANGE H<S - A Nozzle with a lesser height than diameter.\nSTILLING WELL - a continuous metal pipe from the process connection to the end of the measuring range.\nEXT. CHAMBER - an external metal chamber with side connections.\n2WARNING - Adjustment of this parameter may disturb settings in your Extended Parameters.  Please verify Extended Parameters are set correctly for the application."
#define NOZZLELENGTH_HLP "Also known as nozzle blanking distance, this setting allows the transmitter to ignore anything within the designated distance.  The distance will be in the units designated in the UNITS parameter.  At a minimum, enter the length of the mounting nozzle from the face of the sensor to the ceiling of the tank. Additional distance can be added in order to ignore unwanted false reflections.\n2CAUTION: This entry will allow the transmitter to ignore any reading in the designated area including the level you are measuring if it rises to this range.\n2WARNING - Adjustment of this parameter may disturb settings in your Extended Parameters.  Please verify Extended Parameters are set correctly for the application"
#define OFFSET_HLP "Offset is a parameter which may be used to compensate for an un-measurable area below a probe OR to align the measurement of the LLT with another device. The value entered in the Offset will be Added to or subtracted from the LVL indication on the main display as well as the output signal.\nExample: If the end of the probe were 4 inches off the bottom of the tank, the OFFSET would be 4 inches. If the actual Measured Level were 21 inches after entering the OFFSET, the local indicator would indicate 25 inches (21 +4) and the output signal would indicate a level of 25 inches."
#define MEASUREMODE_HLP "The LLT can be used to measure Media Level or Ullage.\nMedia Level refers to a Level Measurement from the end of the probe to the surface of the product level.  Said differently, it is measuring the amount of product in the tank.\n2Ullage refers to a Level Measurement from the face of the sensor to the surface of the product being measured.  Said differently, it is measuring the amount of vapor space in the tank.\n2Factory default the MEASURE MODE will be Media Level.\nMedia Level = Level in the tank\nUllage = vapor space in the tank"
#define LANGUAGE_HLP "The LLT has been equipped with several different operating languages to assist in the setup of the unit. When a specific language is selected, the titles of the menu items will be translated. Abbreviations specific to the LLT will remain unchanged as icons regardless of language selection.  Available LANGUAGES include: o English o German o French o Spanish o Italian o Russian o Chinese (Mandarin) o Portuguese.   " 
#define LEVELTHRESHOLD_HLP "The Threshold voltage provides a method of signal detection along the waveform. The signal from the process reflection must cross this barrier to be detected as a signal. The LLT is designed to detect the first pulse crossing the Threshold. The Threshold may need to be increased to avoid baseline interference or decreased to detect the correct pulse."
#define BLANKINGDISTANCE_HLP "Blanking is a measured area which the LLT will be set to ignore including the nozzle distance. It may be necessary to extend the Blanking further past the nozzle to ignore reflections from the top portion of the probe. Blanking is set in terms of level units. To adjust the Blanking, enter the distance from the Reference Measurement to be ignored. Do not blank into your measuring range. Signal will be lost."
#define RANGE_HLP "The RANGE setting is determined by the PROBE LENGTH.\nRANGE 1 is set for probes shorter than 100 feet.\nRANGE 2 is set for probes from 100 to 200 feet.\nChanging the RANGE setting will erase all factory trim settings and calibration values. Changing the RANGE setting is not recommended unless a commitment to changing the physical probe length has been made."
#define LINEARIZATION_HLP "The LINEARIZATION TABLE allows a set of output values to be assigned to input level points along the PROBE LENGTH.\nThe points in the table can be assigned exact measured values to linearize the measured level for increased accuracy at the top and bottom of the probe, assigned volume points for tank strapping, or assigned flow rates for measurement of flow in an open channel."
#define LINUNITS_HLP "Linearized Output units allows the selection of the desired output units for the linearization table. Linearized output units can be in Level, Volume or Volume Flow units.  Please see the Installation & Maintenance Manual or menu contents for unit options."
#define LINMIN_HLP "The value assigned to the lowest measurable point along the PROBE LENGTH. Typically this will be set to 0, although it is not required."
#define LINMAX_HLP "The value assigned to the highest measurable point along the PROBE LENGTH. This value must be greater than the largest value entered in the Linearization Table."
#define LIN_MODE_HLP "Determines how the values in the table will be assigned; either by entering the input values manually or by raising the tank level and entering the values automatically.\n-Manual Mode allows the entry of the input values along with the desired respective output level.\n-Automatic mode requires the level of the product to be at the measured level when the respective output value is set.\nNOTE: Manual mode will produce a more exact linearization profile compared to Automatic mode."
#define LIN_LowerRange_HLP "The value assigned to the lowest measurable point along the probe length. Typically this will be set to 0, although it is not required."
#define LIN_UpperRange_HLP "The value assigned to the highest measurable point along the probe length, this value must be greater than the largest value entered in the Linearization Table."
#define LINTABLE_HLP "LIN TABLE contains the parameters used to collate Measured or Input Level and a user selected set of values for Output Values. Table points will be entered based on the LIN MODE. Table points must be entered from smallest value to largest value from point 01 to point 20.\nIn Manual Mode, the table will ask for Output Point 01 -20 THEN ask for the corresponding Input Point 01-20. The Output Point is the desired reading. The Input Point is the Measured Level or Input Value.\n2In Automatic Mode, the table will only ask for the Output Point 01-20. The corresponding Input Point will be gained by setting the level to the correct location along the PROBE LENGTH.\n2CAUTION -DO NOT use zero as table point 01.  This must be a positive value or it will not function properly."
#define CLEARTABLE_HLP "Selecting CLEAR TABLE will completely erase all values from the Linearization Table."
#define RELOADTABLE_HLP "Selecting RESTORE TABLE will reinstall the values of a Linearization Table that have been stored in the Back Up file of the device."
#define BACKUPTABLE_HLP "Selecting SAVE TABLE will store all of the values in the Linearization Table to a Back Up file in the EPROM of the device."

#define Lin_InputUnit_Obj_label "Input Unit"
#define Lin_InputUnit_Obj_help "The input units for the linearized level values."

#define temperature_sensor_present_help "Temperature sensor is located at the end of the probe."
#define Level_Obj_value_0_help "Level value"
#define Interface_Obj_value_0_help "Interface is the height at which a surface forms a common boundary between two immiscible liquids."

#define readOnlySwitchStatus_help "Hardware switch that allows remote access."

#define HSetPassword_StandardLevel_help "Change password for Standard Access Level."
#define HSetPassword_AdvancedLevel_help "Change password for Advanced Access Level."

#define UllageReferencePoint_Obj_value_0_help "The Level at which the Ullage Level is zero."
#define UllageReferencePoint_Obj_value_0_label "Vessel Height (URP)"

#define T_DampingTime_help "Damping Value- Damping time constant applied to temperature value. The units of this variable are always in seconds."

#define Amp_DampingTime_help "Damping Value- Damping time constant applied to amplitude value. The units of this variable are always in seconds."



//Menu
#define menu_device "Device"

//Response Codes
#define responsecode_wrongpassword "Incorrect password; access level reduced to Read Only."


//Byte 0

#define LVL_SNSR_FLR_LABEL "Level sensor failure"
#define LVL_SNSR_FLR_PC "Level Sensor Failure"
#define LVL_SNSR_FLR_SA "Contact ABB Level Support at http://www.abb.com/level"


#define TEMP_SNSR_FLR_LABEL "Temperature sensor failure"
#define TEMP_SNSR_FLR_PC "Temperature sensor failure."
#define TEMP_SNSR_FLR_SA "Contact ABB Level Support at http://www.abb.com/level"

#define WRI_PRO_FLR_LABEL "Write protect failure"
#define WRI_PRO_FLR_PC "Illegal memory access." 
#define WRI_PRO_FLR_SA "Reset device and recheck, if problem persists contact ABB Level Support at http://www.abb.com/level"

#define SAF_FUN_FLO_LABEL "Safety function flow error"
#define SAF_FUN_FLO_PC "Safety function flow error." 
#define SAF_FUN_FLO_SA "Reset device and recheck, if problem persists contact ABB Level Support at http://www.abb.com/level" 

#define LVL_SNSR_OUT_OF_LLT_LABEL "Level sensor out of limits"
#define LVL_SNSR_OUT_OF_LLT_PC "Level sensor out of limits. "
#define LVL_SNSR_OUT_OF_LLT_SA "Check for level sensor failure."

#define TEMP_SNSR_OUT_OF_LLT_LABEL "Temperature sensor out of limits" 
#define TEMP_SNSR_OUT_OF_LLT_PC "Temperature sensor out of limits." 
#define TEMP_SNSR_OUT_OF_LLT_SA "Check for temperature sensor failure." 

#define MICRO_TEST_FLR_LABEL "Microcontroller test failure" 
#define MICRO_TEST_FLR_PC "Self test failure."
#define MICRO_TEST_FLR_SA "Reset device and recheck, if problem persists contact ABB Level Support at http://www.abb.com/level" 


//Byte 1

#define LVL_SNSR_OUT_OF_RNG_LABEL "Level sensor out of range" 
#define LVL_SNSR_OUT_OF_RNG_PC "Level sensor out of range."
#define LVL_SNSR_OUT_OF_RNG_SA "Check process." 


//Byte 2

#define SNSR_NV_FLR_LABEL "Sensor NV failure" 
#define SNSR_NV_FLR_PC "Sensor board memory failure."
#define SNSR_NV_FLR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/levels" 

#define SNSR_NV_WRT_FLR_LABEL "Sensor NV write failure", 
#define SNSR_NV_WRT_FLR_PC "Sensor board Non-volatile memory failure. "
#define SNSR_NV_WRT_FLR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/levels" 

#define DEV_RST_REQ_LABEL "Device reset required" 
#define DEV_RST_REQ_PC "Device reset required. "
#define DEV_RST_REQ_SA "Re-start device." 

#define SNSR_BRD_COMM_ERR_LABEL "Sensor board communication error" 
#define SNSR_BRD_COMM_ERR_PC "Communication problem between sensor and electronics."
#define SNSR_BRD_COMM_ERR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level"

#define ELECT_NV_FLR_LABEL "Electronics NV memeory failure" 
#define ELECT_NV_FLR_PC "Electronics board Non-volatile memory failure. "
#define ELECT_NV_FLR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level" 

//Byte 3
#define SNSR_NV_WRT_ACT_LABEL "Sensor NV write active" 
#define SNSR_NV_WRT_ACT_PC "Electronics Non-volatile memory syncing. "
#define SNSR_NV_WRT_ACT_SA "No action required." 
          
#define HMI_VLD_TEST_FLR_LABEL "HMI validation test failure",
#define HMI_VLD_TEST_FLR_PC "HMI validation test failure. "
#define HMI_VLD_TEST_FLR_SA "Replace HMI."

#define LVL_SNSR_WRNG_LABEL "Level Sensor Warning" 
#define LVL_SNSR_WRNG_PC "Sensor board fault occurred. "
#define LVL_SNSR_WRNG_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level" 

//Byte 4

#define ELECT_INSUFT_IP_VOLT_LABEL "Electronics insufficient input voltage" 
#define ELECT_INSUFT_IP_VOLT_PC "Incorrect voltage for proper device operation. "
#define ELECT_INSUFT_IP_VOLT_SA "Check power supply." 

#define AMB_TMEP_OUT_OF_RNG_LABEL "Ambient temperature out of range" 
#define AMB_TMEP_OUT_OF_RNG_PC "Environmental conditions exceed acceptable device operating conditions. "
#define AMB_TMEP_OUT_OF_RNG_SA "Measurement readings may be invalid. Rectify improper environmental conditions." 

#define PRC_TEMP_WARN_LABEL "Process temperature warning" 
#define PRC_TEMP_WARN_PC "Process temperature warning. "
#define PRC_TEMP_WARN_SA "Monitor process conditions."

#define PRC_TEMP_ALRM_LABEL "Process temperature alarm"
#define PRC_TEMP_ALRM_PC "Process temperature alarm. "
#define PRC_TEMP_ALRM_SA "Monitor process conditions."

#define DATA_SIM_WRNG_LABEL "Data simulation warning" 
#define DATA_SIM_WRNG_PC "One or more measurement values are in simulation mode. "
#define DATA_SIM_WRNG_SA "Confirm measurement values are in simulation mode." 

#define ALRM_SIM_WRNG_LABEL "Alarm simulation warning" 
#define ALRM_SIM_WRNG_PC "One or more alarm conditions are in simulation mode. "
#define ALRM_SIM_WRNG_SA "Confirm alarm conditions are in simulation mode." 

#define CURT_OUT_FIX_MODE_LABEL "Current output fixed mode", 
#define CURT_OUT_FIX_MODE_PC "Current output set to fixed mode. "
#define CURT_OUT_FIX_MODE_SA "Confirm current output is in fixed mode." 

#define PRI_CURT_UNCT_LABEL "Primary current uncertain" 
#define PRI_CURT_UNCT_PC "Current output circuit has failed. "
#define PRI_CURT_UNCT_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level" 


//Byte 5

#define ELEC_ROM_FLR_LABEL "Electronics ROM failure" 
#define ELEC_ROM_FLR_PC "Electronics memory self-check failed. "
#define ELEC_ROM_FLR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level" 

#define ELECT_RAM_FLR_LABEL "Electronics RAM failure"
#define ELECT_RAM_FLR_PC "Electronics memory self-check failed."
#define ELECT_RAM_FLR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level" 

#define NV_REP_ERR_LABEL "NV replace error"
#define NV_REP_ERR_PC "An error occured during a Non-volatile replace effort. "
#define NV_REP_ERR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level" 

#define PRI_CURT_SAT_LABEL "Primary current saturated" 
#define PRI_CURT_SAT_PC "Current is in saturation level. "
#define PRI_CURT_SAT_SA "Monitor process conditions." 

#define CURT_OUT_REBK_FLR_LABEL "Current output readback failed" 
#define CURT_OUT_REBK_FLR_PC "Current output readback failed. "
#define CURT_OUT_REBK_FLR_SA "Re-start device. If this fails to solve the problem, contact ABB Level Support at http://www.abb.com/level"

#define PRO_MED_LVL_WARN_LABEL "Process media level warning" 
#define PRO_MED_LVL_WARN_PC "Process media warning. "
#define PRO_MED_LVL_WARN_SA "Monitor process conditions." 

#define PRO_MED_LVL_ALRM_LABEL "Process media level alarm"
#define PRO_MED_LVL_ALRM_PC "Process media alarm. "
#define PRO_MED_LVL_ALRM_SA "Monitor process conditions." 

#define SNSR_TRIM_NEED_LABEL "Sensor trim needed" 
#define SNSR_TRIM_NEED_PC "Possible Cause: Sensor needs trimming. "
#define SNSR_TRIM_NEED_SA "Restore factory settings or perform trim operations" 

#define fillrate_label		"Rate units"
#define fillrate_help		"Units for FillingRate and DrainingRate"

#define fill_rate_select_label	"Filling rate enable"
#define fill_rate_select_help	"Selection of filing rate"

#define	filling_rate_label		"Filling rate"
#define filling_rate_help		"Filling rate value"

#define drain_rate_select_label	"Draining rate enable"
#define drain_rate_select_help	"Selection of filing rate"

#define	draining_rate_label		"Draining rate"
#define draining_rate_help		"Draining rate value"


#define nomeasperiod_label		"No measurement period"
#define nomeasperiod_help		"No measurement period value"

#define no_measperiod_select_label	"No measurement period enable"
#define no_measperiod_select_help	"Selection of no measurement period"

#define medfilter_select_label		"Median Filter"
#define medfilter_select_help		"Selection of Median Filter"

#define med_fil_size_label			"Median filter buffer"
#define med_fil_size_help			"Size of Median filter buffer"

